# pymatgen.symmetry.structure module

This module implements symmetry-related structure forms.

class SymmetrizedStructure(structure: pymatgen.core.structure.Structure, spacegroup, equivalent_positions: Sequence[int], wyckoff_letters: Sequence[str])

  Bases: `pymatgen.core.structure.Structure`

  This class represents a symmetrized structure, i.e. a structure where the spacegroup and symmetry operations are defined. This class is typically not called but instead is typically obtained by calling pymatgen.symmetry.analyzer.SpacegroupAnalyzer.get_symmetrized_structure.

  Parameters

    - structure (Structure) – Original structure

    - spacegroup (SpacegroupOperations) – An input SpacegroupOperations from SpacegroupAnalyzer.

    - equivalent_positions – Equivalent positions from SpacegroupAnalyzer.

    - wyckoff_letters – Wyckoff letters

  as_dict()
    Returns

      MSONAble dict

  copy()
    Returns

      Copy of structure.

  find_equivalent_sites(site) → List[pymatgen.core.sites.PeriodicSite]

    Finds all symmetrically equivalent sites for a particular site

    Parameters

      site (PeriodicSite) – A site in the structure

    Returns

      List of all symmetrically equivalent sites.

    Return type

      ([PeriodicSite])

  classmethod from_dict(d)
    Parameters

      d – Dict representation

    Returns

      SymmetrizedStructure